package com.example.playertime.api;

// 用于 /api/whitelist 接口返回的白名单列表数据结构
public class WhitelistResponse {
    public String name;
    public String uuid;
    public boolean online;

    // Gson 需要一个无参构造函数
    @SuppressWarnings("unused")
    private WhitelistResponse() {}

    public WhitelistResponse(String name, String uuid, boolean online) {
        this.name = name;
        this.uuid = uuid;
        this.online = online;
    }
}
