package com.example.playertime.api;

import java.util.List;
import java.util.Map;

// 用于 /api/online-players 接口返回的在线玩家列表数据结构
public class OnlinePlayersResponse {
    public List<Map<String, String>> whitelisted;
    public List<Map<String, String>> non_whitelisted;

    // Gson 需要一个无参构造函数
    @SuppressWarnings("unused")
    private OnlinePlayersResponse() {}

    public OnlinePlayersResponse(List<Map<String, String>> whitelisted, List<Map<String, String>> non_whitelisted) {
        this.whitelisted = whitelisted;
        this.non_whitelisted = non_whitelisted;
    }
}
