package com.example.playertime.api;

// 用于 /api/player-count 接口返回的玩家数量数据结构
public class PlayerCountResponse {
    public int total;
    public int whitelisted;
    public int non_whitelisted;

    // Gson 需要一个无参构造函数
    @SuppressWarnings("unused")
    private PlayerCountResponse() {}

    public PlayerCountResponse(int total, int whitelisted, int non_whitelisted) {
        this.total = total;
        this.whitelisted = whitelisted;
        this.non_whitelisted = non_whitelisted;
    }
}
